Sisyphus repository
Last update: 1 october 2023 | SRPMs: 18631 | Visits: 37399026
en ru br
ALT Linux repos
S:115.2.2-alt1
5.0: 2.0.0.21-alt0.M50.3
4.1: 2.0.0.21-alt0.M41.1
4.0: 2.0.0.21-alt0.M40.1
3.0: 1.0.6-alt2.1
+updates:1.0.8-alt0.M30.1

Group :: Networking/Mail
RPM: thunderbird

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs and FR  Repocop 

#! /bin/sh -e

PROG="${0##*/}"
tbird_bin="@tbird_bin@"
tbird_run="@tbird_run@"
tbird_scriptdir="@tbird_scriptdir@"
tbird_extensionsdir="@tbird_extensionsdir@"

error() {
printf "%s: Error: %s\n" "$PROG" "$*" >&2
}

fatal() {
printf "%s: Fatal: %s\n" "$PROG" "$*" >&2
exit 1
}

[ -x "$tbird_bin" ] || fatal "not executable: $tbird_bin"
[ -d "$tbird_extensionsdir" ] || fatal "not directory: $tbird_extensionsdir"
[ -d "$tbird_scriptdir" ] || fatal "not directory: $tbird_scriptdir"

# Update installation
"$tbird_scriptdir/tbird_register.sh" "$tbird_bin"

# Finish extensions installation
find "$tbird_extensionsdir/" -mindepth 1 -maxdepth 1 -type d -name '{*}' |
while read ext; do
"$tbird_scriptdir/install_global_extension.sh" "$tbird_run" "$tbird_bin" "$ext" ||
error "Cannot finish installation: ${ext##*/}"
done

 
design & coding: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
current maintainer: Michael Shigorin